Package org.eclipse.net4j.util.fsm

# Interface ITransition<STATE extends Enum<?>,EVENT extends Enum<?>,SUBJECT,DATA>

All Known Implementing Classes:
  `ChallengeResponseNegotiator.Transition`, `FiniteStateMachine.ChangeStateTransition`, `FiniteStateMachine.FailTransition`, `FiniteStateMachine.IgnoreTransition`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface ITransition<STATE extends Enum<?>,EVENT extends Enum<?>,SUBJECT,DATA>
Encapsulates the logic to be executed when an event arrives for a subject in a particular state.

Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`void`
`execute(SUBJECT subject, STATE state, EVENT event, DATA data)`

## Method Details

### execute

void execute(SUBJECT subject, STATE state, EVENT event, DATA data)